<!-- 会员列表 menber-->
<template>
    <div>
        <el-table
                :data="tableData"
                style="width: 100%">
            <el-table-column
                    prop="admin.name"
                    label="名字"
                    width="180">
            </el-table-column>
            <el-table-column
                    prop="rank_id"
                    label="等级"
                    width="180">
            </el-table-column>
            <el-table-column
                    prop="company_info"
                    label="企业名字">
            </el-table-column>
            <el-table-column
                    prop="company_no"
                    label="企业组织代码">
            </el-table-column>
            <el-table-column>
                <template slot-scope="props">
                    <a href="#" @click="edit(props.row)">编辑</a>
                </template>
            </el-table-column>
        </el-table>


        <el-dialog title="编辑" :visible.sync="dialogVisible">
            <el-form :model="form">
                <el-form-item label="名字" :label-width="formLabelWidth">
                    <el-input v-model="form.name" autocomplete="off"></el-input>
                </el-form-item>
                <el-form-item label="等级" :label-width="formLabelWidth">
                    <el-select v-model="form.rank" placeholder="Please select a rank">
                        <el-option v-for="rank in ranks" :label="rank.name" :value="rank.key"></el-option>
                    </el-select>
                </el-form-item>

                <el-form-item label="企业名字" :label-width="formLabelWidth">
                    <el-input v-model="form.company_info" autocomplete="off"></el-input>
                </el-form-item>

                <el-form-item label="企业组织代码" :label-width="formLabelWidth">
                    <el-input v-model="form.company_no" autocomplete="off"></el-input>
                </el-form-item>
            </el-form>
            <span slot="footer" class="dialog-footer">
              <el-button @click="dialogFormVisible = false">取消</el-button>
              <el-button type="primary" @click="updateSeller()">确认</el-button>
            </span>
        </el-dialog>
    </div>
</template>

<script>
    import * as api from '@/api'

    export default {
        name: 'seller',
        data() {
            return {
                tableData: [],
                userInfo: [],
                dialogVisible: false,
                form: {
                    name: '',
                    rank: '',
                    company_no: '',
                    company_info: '',
                    seller_id: 0
                },
                formLabelWidth: '120px',
                ranks: [
                    {
                        key: 1,
                        name: 'Rank 1',
                    },
                    {
                        key: 2,
                        name: 'Rank 2',
                    },
                    {
                        key: 3,
                        name: 'Rank 3',
                    },
                    {
                        key: 4,
                        name: 'Rank 4',
                    },
                ],
                dialogFormVisible: false,
            }
        },
        created() {
            this.userInfo = sessionStorage.userInfo && JSON.parse(sessionStorage.userInfo) || {}
            this.mounted()
        },
        methods: {
            mounted() {
                this.getDatalist();
                console.log('get data ');
            },
            edit(obj) {
                console.log(obj);
                this.form.seller_id = obj.id;
                this.form.company_info = obj.company_info;
                this.form.company_no = obj.company_no;
                this.form.rank = obj.rank_id;
                this.form.name = obj.admin.name;
                this.dialogVisible = true;
            },
            updateSeller() {
                console.log('updateSeller');
                api.update_seller(this.form).then(res => {
                    console.log(res);
                    this.mounted();
                    this.dialogVisible = false;
                }).finally(() => {

                })
                // this.dialogFormVisible = false;
            },
            getDatalist() {
                api.get_all_sellers({
                    'user_id': this.userInfo.id,
                }).then(res => {
                    console.log(res);
                    this.tableData = res.data;
                }).finally(() => {
                })
            }
        },
    }

</script>